Opened 7 months ago

Closed 7 months ago

Last modified 7 months ago

#15308 closed bug (duplicate)

Haiku no longer boots under Parallels 15

Reported by: codewrangler Owned by: nobody
Priority: normal Milestone: Unscheduled
Component: - General Version: R1/Development
Keywords: Cc:
Blocked By: #4502 Blocking:
Has a Patch: no Platform: All

Description

Just upgraded from Parallels 14 to 15 and upon reboot, crashes with the following error:

panic: get_boot_partitions_failed!

Also, unable to boot with any ISO image.

Attachments (3)

Screen Shot 2019-08-26 at 2.31.48 PM.png (191.4 KB ) - added by codewrangler 7 months ago.
SS of crash
Screen Shot 2019-08-29 at 8.43.49 AM.png (169.0 KB ) - added by codewrangler 7 months ago.
Booting the ISO image
Screen Shot 2019-09-04 at 8.46.07 AM.png (233.5 KB ) - added by codewrangler 7 months ago.
Description of Haiku Boot Loader update

Download all attachments as: .zip

Change History (13)

by codewrangler, 7 months ago

SS of crash

comment:1 by waddlesplash, 7 months ago

Blocked By: 4502 added
Resolution: duplicate
Status: newclosed

See last comments on #4502. Try a different disk type.

comment:2 by codewrangler, 7 months ago

waddlesplash...I don't understand your comment.

by codewrangler, 7 months ago

Booting the ISO image

comment:3 by codewrangler, 7 months ago

Added a screenshot of trying to boot off of ISO image, under Parallels 15.

in reply to:  1 comment:4 by codewrangler, 7 months ago

Replying to waddlesplash:

See last comments on #4502. Try a different disk type.

I don't understand what you mean by "try a different disk type".

comment:5 by waddlesplash, 7 months ago

Try SATA instead of IDE.

in reply to:  5 comment:6 by codewrangler, 7 months ago

Replying to waddlesplash:

Try SATA instead of IDE.

Didn't work. Just kept restarting.

comment:7 by codewrangler, 7 months ago

FYI, this is NOT related to Parallels 15. If I roll back my image, it works fine with Parallels 15. It is only when I do a software update (SoftwareUpdater), does it stop working.

One of the updated modules is the Haiku Boot Loader. I am assuming the issue lies in that module.

comment:8 by codewrangler, 7 months ago

@waddlesplash

I don't believe this is directly related to issue #4502. Please re-open.

Thanks!

Michael

by codewrangler, 7 months ago

Description of Haiku Boot Loader update

comment:9 by codewrangler, 7 months ago

See attachment. Shows that Haiku Boot Loader update for Haiku 64 bit, may be a 32 bit loader. I'm guessing that may be the basis of the issue.

comment:10 by waddlesplash, 7 months ago

The loader has not been changed substantially for quite some time, but its hrev is bumper along with Haiku and a new package is built regardless of whether it has changed or not. So that is not a factor here.

Again, you are not the only one who can no longer use Parallels; it seems some recent change has unearthed either a bug in Parallels or a bug in our IDE driver, which manifests itself as #4502.

If you produce a log that has a different error message than in #4502, then this ticket can be reopened. But seeing this occurred after updating to Parallels 15, it's more likely a Parallels bug.

Note: See TracTickets for help on using tickets.